// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: telemetry/HeatPump.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace HeatPump {

  /// <summary>Holder for reflection information generated from telemetry/HeatPump.proto</summary>
  public static partial class HeatPumpReflection {

    #region Descriptor
    /// <summary>File descriptor for telemetry/HeatPump.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static HeatPumpReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "Chh0ZWxlbWV0cnkvSGVhdFB1bXAucHJvdG8SCWhlYXRfcHVtcBofZ29vZ2xl",
            "L3Byb3RvYnVmL3RpbWVzdGFtcC5wcm90byKWBQoISGVhdFB1bXASHgoRaW5s",
            "ZXRfdGVtcGVyYXR1cmUYASABKAlIAIgBARIfChJvdXRsZXRfdGVtcGVyYXR1",
            "cmUYAiABKAlIAYgBARIhChRleHRlcm5hbF90ZW1wZXJhdHVyZRgDIAEoCUgC",
            "iAEBEiYKGWRpc2NoYXJnZV9nYXNfdGVtcGVyYXR1cmUYBCABKAlIA4gBARIf",
            "ChJkaXNjaGFyZ2VfcHJlc3N1cmUYBSABKAlIBIgBARIkChdzdWN0aW9uX2dh",
            "c190ZW1wZXJhdHVyZRgGIAEoCUgFiAEBEh0KEHN1Y3Rpb25fcHJlc3N1cmUY",
            "ByABKAlIBogBARIiChVob3Rfd2F0ZXJfdGVtcGVyYXR1cmUYCCABKAlIB4gB",
            "ARIdChBjb2lsX3RlbXBlcmF0dXJlGAkgASgJSAiIAQESGAoLdGVtcGVyYXR1",
            "cmUYCiABKAlICYgBARIXCgpmYW5fb3V0cHV0GAsgASgJSAqIAQESGAoLcHVt",
            "cF9vdXRwdXQYDCABKAlIC4gBAUIUChJfaW5sZXRfdGVtcGVyYXR1cmVCFQoT",
            "X291dGxldF90ZW1wZXJhdHVyZUIXChVfZXh0ZXJuYWxfdGVtcGVyYXR1cmVC",
            "HAoaX2Rpc2NoYXJnZV9nYXNfdGVtcGVyYXR1cmVCFQoTX2Rpc2NoYXJnZV9w",
            "cmVzc3VyZUIaChhfc3VjdGlvbl9nYXNfdGVtcGVyYXR1cmVCEwoRX3N1Y3Rp",
            "b25fcHJlc3N1cmVCGAoWX2hvdF93YXRlcl90ZW1wZXJhdHVyZUITChFfY29p",
            "bF90ZW1wZXJhdHVyZUIOCgxfdGVtcGVyYXR1cmVCDQoLX2Zhbl9vdXRwdXRC",
            "DgoMX3B1bXBfb3V0cHV0QnQKG2NvbS5jb2RpYmx5Lm1vZGVsLnRlbGVtZXRy",
            "eUINSGVhdFB1bXBQcm90b8oCG0RvbWFpbk1vZGVsXFByb3RvXFRlbGVtZXRy",
            "eeICJ0RvbWFpbk1vZGVsXFByb3RvXFRlbGVtZXRyeVxHUEJNZXRhZGF0YWIG",
            "cHJvdG8z"));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Google.Protobuf.WellKnownTypes.TimestampReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::HeatPump.HeatPump), global::HeatPump.HeatPump.Parser, new[]{ "InletTemperature", "OutletTemperature", "ExternalTemperature", "DischargeGasTemperature", "DischargePressure", "SuctionGasTemperature", "SuctionPressure", "HotWaterTemperature", "CoilTemperature", "Temperature", "FanOutput", "PumpOutput" }, new[]{ "InletTemperature", "OutletTemperature", "ExternalTemperature", "DischargeGasTemperature", "DischargePressure", "SuctionGasTemperature", "SuctionPressure", "HotWaterTemperature", "CoilTemperature", "Temperature", "FanOutput", "PumpOutput" }, null, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class HeatPump : pb::IMessage<HeatPump>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<HeatPump> _parser = new pb::MessageParser<HeatPump>(() => new HeatPump());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<HeatPump> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::HeatPump.HeatPumpReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPump() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPump(HeatPump other) : this() {
      inletTemperature_ = other.inletTemperature_;
      outletTemperature_ = other.outletTemperature_;
      externalTemperature_ = other.externalTemperature_;
      dischargeGasTemperature_ = other.dischargeGasTemperature_;
      dischargePressure_ = other.dischargePressure_;
      suctionGasTemperature_ = other.suctionGasTemperature_;
      suctionPressure_ = other.suctionPressure_;
      hotWaterTemperature_ = other.hotWaterTemperature_;
      coilTemperature_ = other.coilTemperature_;
      temperature_ = other.temperature_;
      fanOutput_ = other.fanOutput_;
      pumpOutput_ = other.pumpOutput_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public HeatPump Clone() {
      return new HeatPump(this);
    }

    /// <summary>Field number for the "inlet_temperature" field.</summary>
    public const int InletTemperatureFieldNumber = 1;
    private string inletTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string InletTemperature {
      get { return inletTemperature_ ?? ""; }
      set {
        inletTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "inlet_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasInletTemperature {
      get { return inletTemperature_ != null; }
    }
    /// <summary>Clears the value of the "inlet_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearInletTemperature() {
      inletTemperature_ = null;
    }

    /// <summary>Field number for the "outlet_temperature" field.</summary>
    public const int OutletTemperatureFieldNumber = 2;
    private string outletTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string OutletTemperature {
      get { return outletTemperature_ ?? ""; }
      set {
        outletTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "outlet_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasOutletTemperature {
      get { return outletTemperature_ != null; }
    }
    /// <summary>Clears the value of the "outlet_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearOutletTemperature() {
      outletTemperature_ = null;
    }

    /// <summary>Field number for the "external_temperature" field.</summary>
    public const int ExternalTemperatureFieldNumber = 3;
    private string externalTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string ExternalTemperature {
      get { return externalTemperature_ ?? ""; }
      set {
        externalTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "external_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasExternalTemperature {
      get { return externalTemperature_ != null; }
    }
    /// <summary>Clears the value of the "external_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearExternalTemperature() {
      externalTemperature_ = null;
    }

    /// <summary>Field number for the "discharge_gas_temperature" field.</summary>
    public const int DischargeGasTemperatureFieldNumber = 4;
    private string dischargeGasTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string DischargeGasTemperature {
      get { return dischargeGasTemperature_ ?? ""; }
      set {
        dischargeGasTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "discharge_gas_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasDischargeGasTemperature {
      get { return dischargeGasTemperature_ != null; }
    }
    /// <summary>Clears the value of the "discharge_gas_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearDischargeGasTemperature() {
      dischargeGasTemperature_ = null;
    }

    /// <summary>Field number for the "discharge_pressure" field.</summary>
    public const int DischargePressureFieldNumber = 5;
    private string dischargePressure_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string DischargePressure {
      get { return dischargePressure_ ?? ""; }
      set {
        dischargePressure_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "discharge_pressure" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasDischargePressure {
      get { return dischargePressure_ != null; }
    }
    /// <summary>Clears the value of the "discharge_pressure" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearDischargePressure() {
      dischargePressure_ = null;
    }

    /// <summary>Field number for the "suction_gas_temperature" field.</summary>
    public const int SuctionGasTemperatureFieldNumber = 6;
    private string suctionGasTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string SuctionGasTemperature {
      get { return suctionGasTemperature_ ?? ""; }
      set {
        suctionGasTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "suction_gas_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasSuctionGasTemperature {
      get { return suctionGasTemperature_ != null; }
    }
    /// <summary>Clears the value of the "suction_gas_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearSuctionGasTemperature() {
      suctionGasTemperature_ = null;
    }

    /// <summary>Field number for the "suction_pressure" field.</summary>
    public const int SuctionPressureFieldNumber = 7;
    private string suctionPressure_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string SuctionPressure {
      get { return suctionPressure_ ?? ""; }
      set {
        suctionPressure_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "suction_pressure" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasSuctionPressure {
      get { return suctionPressure_ != null; }
    }
    /// <summary>Clears the value of the "suction_pressure" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearSuctionPressure() {
      suctionPressure_ = null;
    }

    /// <summary>Field number for the "hot_water_temperature" field.</summary>
    public const int HotWaterTemperatureFieldNumber = 8;
    private string hotWaterTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string HotWaterTemperature {
      get { return hotWaterTemperature_ ?? ""; }
      set {
        hotWaterTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "hot_water_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasHotWaterTemperature {
      get { return hotWaterTemperature_ != null; }
    }
    /// <summary>Clears the value of the "hot_water_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearHotWaterTemperature() {
      hotWaterTemperature_ = null;
    }

    /// <summary>Field number for the "coil_temperature" field.</summary>
    public const int CoilTemperatureFieldNumber = 9;
    private string coilTemperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string CoilTemperature {
      get { return coilTemperature_ ?? ""; }
      set {
        coilTemperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "coil_temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasCoilTemperature {
      get { return coilTemperature_ != null; }
    }
    /// <summary>Clears the value of the "coil_temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearCoilTemperature() {
      coilTemperature_ = null;
    }

    /// <summary>Field number for the "temperature" field.</summary>
    public const int TemperatureFieldNumber = 10;
    private string temperature_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string Temperature {
      get { return temperature_ ?? ""; }
      set {
        temperature_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "temperature" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasTemperature {
      get { return temperature_ != null; }
    }
    /// <summary>Clears the value of the "temperature" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearTemperature() {
      temperature_ = null;
    }

    /// <summary>Field number for the "fan_output" field.</summary>
    public const int FanOutputFieldNumber = 11;
    private string fanOutput_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string FanOutput {
      get { return fanOutput_ ?? ""; }
      set {
        fanOutput_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "fan_output" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasFanOutput {
      get { return fanOutput_ != null; }
    }
    /// <summary>Clears the value of the "fan_output" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearFanOutput() {
      fanOutput_ = null;
    }

    /// <summary>Field number for the "pump_output" field.</summary>
    public const int PumpOutputFieldNumber = 12;
    private string pumpOutput_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public string PumpOutput {
      get { return pumpOutput_ ?? ""; }
      set {
        pumpOutput_ = pb::ProtoPreconditions.CheckNotNull(value, "value");
      }
    }
    /// <summary>Gets whether the "pump_output" field is set</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool HasPumpOutput {
      get { return pumpOutput_ != null; }
    }
    /// <summary>Clears the value of the "pump_output" field</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void ClearPumpOutput() {
      pumpOutput_ = null;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as HeatPump);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(HeatPump other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (InletTemperature != other.InletTemperature) return false;
      if (OutletTemperature != other.OutletTemperature) return false;
      if (ExternalTemperature != other.ExternalTemperature) return false;
      if (DischargeGasTemperature != other.DischargeGasTemperature) return false;
      if (DischargePressure != other.DischargePressure) return false;
      if (SuctionGasTemperature != other.SuctionGasTemperature) return false;
      if (SuctionPressure != other.SuctionPressure) return false;
      if (HotWaterTemperature != other.HotWaterTemperature) return false;
      if (CoilTemperature != other.CoilTemperature) return false;
      if (Temperature != other.Temperature) return false;
      if (FanOutput != other.FanOutput) return false;
      if (PumpOutput != other.PumpOutput) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (HasInletTemperature) hash ^= InletTemperature.GetHashCode();
      if (HasOutletTemperature) hash ^= OutletTemperature.GetHashCode();
      if (HasExternalTemperature) hash ^= ExternalTemperature.GetHashCode();
      if (HasDischargeGasTemperature) hash ^= DischargeGasTemperature.GetHashCode();
      if (HasDischargePressure) hash ^= DischargePressure.GetHashCode();
      if (HasSuctionGasTemperature) hash ^= SuctionGasTemperature.GetHashCode();
      if (HasSuctionPressure) hash ^= SuctionPressure.GetHashCode();
      if (HasHotWaterTemperature) hash ^= HotWaterTemperature.GetHashCode();
      if (HasCoilTemperature) hash ^= CoilTemperature.GetHashCode();
      if (HasTemperature) hash ^= Temperature.GetHashCode();
      if (HasFanOutput) hash ^= FanOutput.GetHashCode();
      if (HasPumpOutput) hash ^= PumpOutput.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (HasInletTemperature) {
        output.WriteRawTag(10);
        output.WriteString(InletTemperature);
      }
      if (HasOutletTemperature) {
        output.WriteRawTag(18);
        output.WriteString(OutletTemperature);
      }
      if (HasExternalTemperature) {
        output.WriteRawTag(26);
        output.WriteString(ExternalTemperature);
      }
      if (HasDischargeGasTemperature) {
        output.WriteRawTag(34);
        output.WriteString(DischargeGasTemperature);
      }
      if (HasDischargePressure) {
        output.WriteRawTag(42);
        output.WriteString(DischargePressure);
      }
      if (HasSuctionGasTemperature) {
        output.WriteRawTag(50);
        output.WriteString(SuctionGasTemperature);
      }
      if (HasSuctionPressure) {
        output.WriteRawTag(58);
        output.WriteString(SuctionPressure);
      }
      if (HasHotWaterTemperature) {
        output.WriteRawTag(66);
        output.WriteString(HotWaterTemperature);
      }
      if (HasCoilTemperature) {
        output.WriteRawTag(74);
        output.WriteString(CoilTemperature);
      }
      if (HasTemperature) {
        output.WriteRawTag(82);
        output.WriteString(Temperature);
      }
      if (HasFanOutput) {
        output.WriteRawTag(90);
        output.WriteString(FanOutput);
      }
      if (HasPumpOutput) {
        output.WriteRawTag(98);
        output.WriteString(PumpOutput);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (HasInletTemperature) {
        output.WriteRawTag(10);
        output.WriteString(InletTemperature);
      }
      if (HasOutletTemperature) {
        output.WriteRawTag(18);
        output.WriteString(OutletTemperature);
      }
      if (HasExternalTemperature) {
        output.WriteRawTag(26);
        output.WriteString(ExternalTemperature);
      }
      if (HasDischargeGasTemperature) {
        output.WriteRawTag(34);
        output.WriteString(DischargeGasTemperature);
      }
      if (HasDischargePressure) {
        output.WriteRawTag(42);
        output.WriteString(DischargePressure);
      }
      if (HasSuctionGasTemperature) {
        output.WriteRawTag(50);
        output.WriteString(SuctionGasTemperature);
      }
      if (HasSuctionPressure) {
        output.WriteRawTag(58);
        output.WriteString(SuctionPressure);
      }
      if (HasHotWaterTemperature) {
        output.WriteRawTag(66);
        output.WriteString(HotWaterTemperature);
      }
      if (HasCoilTemperature) {
        output.WriteRawTag(74);
        output.WriteString(CoilTemperature);
      }
      if (HasTemperature) {
        output.WriteRawTag(82);
        output.WriteString(Temperature);
      }
      if (HasFanOutput) {
        output.WriteRawTag(90);
        output.WriteString(FanOutput);
      }
      if (HasPumpOutput) {
        output.WriteRawTag(98);
        output.WriteString(PumpOutput);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (HasInletTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(InletTemperature);
      }
      if (HasOutletTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(OutletTemperature);
      }
      if (HasExternalTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(ExternalTemperature);
      }
      if (HasDischargeGasTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(DischargeGasTemperature);
      }
      if (HasDischargePressure) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(DischargePressure);
      }
      if (HasSuctionGasTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(SuctionGasTemperature);
      }
      if (HasSuctionPressure) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(SuctionPressure);
      }
      if (HasHotWaterTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(HotWaterTemperature);
      }
      if (HasCoilTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(CoilTemperature);
      }
      if (HasTemperature) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(Temperature);
      }
      if (HasFanOutput) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(FanOutput);
      }
      if (HasPumpOutput) {
        size += 1 + pb::CodedOutputStream.ComputeStringSize(PumpOutput);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(HeatPump other) {
      if (other == null) {
        return;
      }
      if (other.HasInletTemperature) {
        InletTemperature = other.InletTemperature;
      }
      if (other.HasOutletTemperature) {
        OutletTemperature = other.OutletTemperature;
      }
      if (other.HasExternalTemperature) {
        ExternalTemperature = other.ExternalTemperature;
      }
      if (other.HasDischargeGasTemperature) {
        DischargeGasTemperature = other.DischargeGasTemperature;
      }
      if (other.HasDischargePressure) {
        DischargePressure = other.DischargePressure;
      }
      if (other.HasSuctionGasTemperature) {
        SuctionGasTemperature = other.SuctionGasTemperature;
      }
      if (other.HasSuctionPressure) {
        SuctionPressure = other.SuctionPressure;
      }
      if (other.HasHotWaterTemperature) {
        HotWaterTemperature = other.HotWaterTemperature;
      }
      if (other.HasCoilTemperature) {
        CoilTemperature = other.CoilTemperature;
      }
      if (other.HasTemperature) {
        Temperature = other.Temperature;
      }
      if (other.HasFanOutput) {
        FanOutput = other.FanOutput;
      }
      if (other.HasPumpOutput) {
        PumpOutput = other.PumpOutput;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            InletTemperature = input.ReadString();
            break;
          }
          case 18: {
            OutletTemperature = input.ReadString();
            break;
          }
          case 26: {
            ExternalTemperature = input.ReadString();
            break;
          }
          case 34: {
            DischargeGasTemperature = input.ReadString();
            break;
          }
          case 42: {
            DischargePressure = input.ReadString();
            break;
          }
          case 50: {
            SuctionGasTemperature = input.ReadString();
            break;
          }
          case 58: {
            SuctionPressure = input.ReadString();
            break;
          }
          case 66: {
            HotWaterTemperature = input.ReadString();
            break;
          }
          case 74: {
            CoilTemperature = input.ReadString();
            break;
          }
          case 82: {
            Temperature = input.ReadString();
            break;
          }
          case 90: {
            FanOutput = input.ReadString();
            break;
          }
          case 98: {
            PumpOutput = input.ReadString();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            InletTemperature = input.ReadString();
            break;
          }
          case 18: {
            OutletTemperature = input.ReadString();
            break;
          }
          case 26: {
            ExternalTemperature = input.ReadString();
            break;
          }
          case 34: {
            DischargeGasTemperature = input.ReadString();
            break;
          }
          case 42: {
            DischargePressure = input.ReadString();
            break;
          }
          case 50: {
            SuctionGasTemperature = input.ReadString();
            break;
          }
          case 58: {
            SuctionPressure = input.ReadString();
            break;
          }
          case 66: {
            HotWaterTemperature = input.ReadString();
            break;
          }
          case 74: {
            CoilTemperature = input.ReadString();
            break;
          }
          case 82: {
            Temperature = input.ReadString();
            break;
          }
          case 90: {
            FanOutput = input.ReadString();
            break;
          }
          case 98: {
            PumpOutput = input.ReadString();
            break;
          }
        }
      }
    }
    #endif

  }

  #endregion

}

#endregion Designer generated code
